# Changelog

All notable changes to this project will be documented in this file.

## [0.5.0] - 2025-03-10

### 🚀 Features

- Add new message handling capabilities for readviews

## [0.4.2] - 2025-03-09

### 🐛 Bug Fixes

- *(deps)* Update module golang.org/x/sync to v0.12.0
- Update event unwrapping method in back fill process

## [0.4.1] - 2025-02-27

### 🚜 Refactor

- Update external container handling in eventsourced

## [0.4.0] - 2025-02-27

### 🚀 Features

- *(readview)* Insert readview status on start

### 🐛 Bug Fixes

- *(deps)* Update module golang.org/x/sync to v0.11.0
- *(ci)* Update Golang image to use amd64 architecture

### ⚙️ Miscellaneous Tasks

- *(ci)* Update golangci-lint to version 1.64.4

## [0.3.0] - 2025-01-15

### 🚀 Features

- Add golangci-lint configuration for parallel execution

### 🐛 Bug Fixes

- *(deps)* Update module gitlab.com/unboundsoftware/eventsourced/mocks to v0.6.4
- *(deps)* Update module golang.org/x/sync to v0.10.0
- *(deps)* Update module github.com/pressly/goose/v3 to v3.23.1
- *(deps)* Update module github.com/pressly/goose/v3 to v3.24.0
- *(deps)* Update module github.com/pressly/goose/v3 to v3.24.1
- *(readview)* Handle concurrency

## [0.2.0] - 2024-11-27

### 🚀 Features

- Unwrap external events

### 🐛 Bug Fixes

- *(deps)* Update module gitlab.com/unboundsoftware/eventsourced/eventsourced to v1.16.0

## [0.1.7] - 2024-11-27

### 🐛 Bug Fixes

- *(deps)* Update module github.com/stretchr/testify to v1.10.0
- Stop processing until back fill is complete

## [0.1.6] - 2024-11-22

### 🐛 Bug Fixes

- *(deps)* Update module gitlab.com/unboundsoftware/eventsourced/mocks to v0.6.3
- *(deps)* Update module golang.org/x/sync to v0.9.0
- *(deps)* Update module github.com/pressly/goose/v3 to v3.23.0
- BackFillInProgress logic

## [0.1.5] - 2024-10-06

### 🐛 Bug Fixes

- *(deps)* Update module github.com/pressly/goose/v3 to v3.22.0
- *(deps)* Update module github.com/pressly/goose/v3 to v3.22.1
- *(deps)* Update module gitlab.com/unboundsoftware/eventsourced/eventsourced to v1.15.0

### ⚙️ Miscellaneous Tasks

- Add release flow

## [0.1.4] - 2024-08-23

### 🐛 Bug Fixes

- *(deps)* Update module golang.org/x/sync to v0.8.0
- Handle locked status row in readview methods and tests

## [0.1.3] - 2024-07-12

### 🐛 Bug Fixes

- *(deps)* Update module golang.org/x/sync to v0.7.0
- *(deps)* Update module github.com/pressly/goose/v3 to v3.20.0
- *(deps)* Update module github.com/jmoiron/sqlx to v1.4.0
- *(deps)* Update module github.com/pressly/goose/v3 to v3.21.0
- *(deps)* Update module github.com/pressly/goose/v3 to v3.21.1

### ⚙️ Miscellaneous Tasks

- Remove unnecessary comments and improve code readability
- Improve error messages and logging for readview process

## [0.1.2] - 2024-03-28

### 🐛 Bug Fixes

- *(deps)* Update module gitlab.com/unboundsoftware/eventsourced/mocks to v0.6.2
- Fix nil-reference error

## [0.1.1] - 2024-03-20

### 🚀 Features

- Add updated to make multi-replicas work correctly

### 🐛 Bug Fixes

- *(deps)* Update module github.com/stretchr/testify to v1.9.0
- *(deps)* Update module github.com/pressly/goose/v3 to v3.19.1
- *(deps)* Update module github.com/pressly/goose/v3 to v3.19.2

## [0.1.0] - 2024-02-17

### 🚀 Features

- Reset readview on start by setting current to 0

## [0.0.12] - 2023-12-26

### 🚀 Features

- Ignore backfill for externally sourced events

### ⚙️ Miscellaneous Tasks

- Update version of Go and golangci-lint

## [0.0.11] - 2023-11-27

### 🐛 Bug Fixes

- Handle backfill errors

## [0.0.10] - 2023-11-17

### 🚀 Features

- Use slog for Goose logging
- Migrate to Goose provider

### ⚙️ Miscellaneous Tasks

- Use go 1.21.4

## [0.0.9] - 2023-11-04

### 🚀 Features

- Handle stale back fills

## [0.0.8] - 2023-11-02

### ⚙️ Miscellaneous Tasks

- Remove logging of already processed events

## [0.0.7] - 2023-11-01

### 🐛 Bug Fixes

- Remove deadlocking ourselves

## [0.0.6] - 2023-11-01

### 🐛 Bug Fixes

- Keep lock when current event

## [0.0.5] - 2023-10-31

### 🐛 Bug Fixes

- Handle lock error

## [0.0.4] - 2023-10-31

### 🐛 Bug Fixes

- Move state handling to DB for HA scenarios

## [0.0.3] - 2023-10-27

### 🚀 Features

- Allow to set back fill batch size

### ⚙️ Miscellaneous Tasks

- Improve logging

## [0.0.2] - 2023-10-27

### ⚙️ Miscellaneous Tasks

- Use mocks 0.6.1 and remove patch level of go

## [0.0.1] - 2023-10-26

### 🚀 Features

- Readview implementation

### ⚙️ Miscellaneous Tasks

- Initial commit

<!-- generated by git-cliff -->
